
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Orientation Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Device.Orientation</h1><h2>Description</h2>
<p>This interface provides access to the device's physical orientation.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Device.Orientation</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetOrientation">GetOrientation</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#OrientationChanged">OrientationChanged</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetOrientation">GetOrientation</a> ( ) &rarr; s</h3>
<p><i>Description:</i> Returns the orientation of the device. </p><h4>Returns</h4><i>s: orientation</i><p>The orientation. Expected substrings are:  <ul>  <li>"flat" (Laying flat on a level surface, e.g. a table),</li>  <li>"held" (Being held slightly tilt towards your face),</li>  <li>"portrait" (Display held with the long side vertically),</li>  <li>"landscape" (Display held with the long side horizontally,</li>  <li>"faceup" (Display being oriented towards the sky),</li>  <li>"facedown" (Display being oriented towards the floor),</li>  <li>"normal", (Not rotated)</li>  <li>"reverse", (180 degrees rotated)</li>  </ul> </p>
<h1>Signals</h1><h3><h3><a name="OrientationChanged">OrientationChanged</a> ( s )</h3><p><i>Description:</i> Sent whenever there is a change of the device orientation. </p><h4>Parameters</h4><i>s: orientation</i><p>The new orientation. See <a href="http://docs.freesmartphone.org/org.freesmartphone.Device.Orientation.html#GetOrientation">GetOrientation</a> for supported values. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

